#
# spec file for package Guppi (Version 0.35.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile bonobo bonobo-devel db-devel esound esound-devel gal gal-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gtk gtk-devel guile imlib imlib-devel indent libglade libglade-devel libjpeg libpng libtiff libungif libunicode libxml libxml-devel oaf oaf-devel orbit orbit-devel popt python python-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bonobo bonobo-devel bzip compress cpio cpp cracklib cyrus-sasl db db-devel devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gal gal-devel gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpm gppshare grep groff gtk gtk-devel guile gzip imlib imlib-devel indent kbd less libglade libglade-devel libjpeg libpng libtiff libtool libungif libunicode libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg oaf oaf-devel orbit orbit-devel pam pam-devel patch perl popt ps python python-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         Guppi
%define  prefix  /opt/gnome
%define  sysconfdir /etc%{prefix}
Copyright:    GPL
Group:	      X11/GNOME/Applications
Provides:     Guppi 
Summary:      A plottool for data under GNOME
Version:      0.35.5
Release:      128
Source:       ftp://ftp.gnome.org/pub/GNOME/stable/sources/Guppi/Guppi-%{version}.tar.bz2
Patch:        Guppi-intl.dif
Url:          http://www.gnome.org/Guppi/
BuildRoot:    /var/tmp/build-%{name}-root

%description
With this tool one can visualize and form of data via plots and/or
charts.

SuSE series: gnm

%prep
%setup -q
%patch

%build
CFLAGS="$RPM_OPT_FLAGS" \
   ./configure --prefix=%prefix \
               --sysconfdir=%sysconfdir \
               --localstatedir=%{_localstatedir} \
               --with-guile --enable-python --enable-gnumeric \
	       --disable-guile-readline
make -s 

%install
make -s DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING TODO
%{prefix}/bin/*
%{prefix}/include/*
%{prefix}/lib/*
%{prefix}/share/aclocal/*
%{prefix}/share/gnome/apps/*/*
%{prefix}/share/gnome/help/*
%{prefix}/share/guppi/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/oaf/*
%{prefix}/share/pixmaps/*

%changelog -n Guppi
* Tue Sep 18 2001 - hhetter@suse.de
- build without guile-readline support, to work with
  guile 1.4
* Sat Jul 07 2001 - egger@suse.de
- Updated to version 0.35.5.
- Misc cleanups.
- Enabled python support.
* Wed Jun 27 2001 - hhetter@suse.de
- added gal-devel to neededforbuild
* Sat Mar 24 2001 - egger@suse.de
- Updated to version 0.35.3.
- Misc cleanups.
* Tue Mar 20 2001 - hhetter@suse.de
- added esound-devel to neededforbuild
* Thu Mar 01 2001 - ro@suse.de
- fixed to build (don't specifx prefix twice, fix po installation)
* Thu Mar 01 2001 - ro@suse.de
- fix specfile
* Thu Feb 22 2001 - egger@suse.de
- Initial SuSE package.
